﻿@model Tuple<List<ItemMasterView>, List<UDF_ARGNS>>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/MasterData/Views/Shared/_Layout.cshtml";
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ItemMaster.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<h1 class="page-header">@ItemMaster.IM</h1>

<div class="row">
    <div class="col-md-3">

        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading buscar_main">
                    <h3 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">@ItemMaster.Search</a>
                        <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in">
                    <div class="panel-body">
                        <div class="form-group">
                            <div class="form-group">
                                @Html.TextBox("Code", null, new { @Id = "UDF_Code", @Name = "Code", @placeholder = @ItemMaster.IC, @class = "form-control" })
                            </div>
                            <div class="form-group">
                                @Html.TextBox("Name", null, new { @Id = "UDF_Name", @Name = "Name", @placeholder = @ItemMaster.ID, @class = "form-control" })
                            </div>
                            <div class="form-group">
                                <div class="col-md-4">
                                    <label>@ItemMaster.II</label>
                                </div>
                                <div class="col-md-8 no-padding-right">
                                    <select id="dropdownInvItem" class="form-control" name="dropdownInvItem">
                                        <option selected="selected" value="">@ItemMaster.ALL</option>
                                        <option value="Y">@ItemMaster.Yes</option>
                                        <option value="N">@ItemMaster.No</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-4">
                                    <label>@ItemMaster.PI</label>
                                </div>
                                <div class="col-md-8 no-padding-right">
                                    <select id="dropdownPurchaseItem" class="form-control" name="dropdownPurchaseItem">
                                        <option selected="selected" value="">@ItemMaster.ALL</option>
                                        <option value="Y">@ItemMaster.Yes</option>
                                        <option value="N">@ItemMaster.No</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-4">
                                    <label>@ItemMaster.SI</label>
                                </div>
                                <div class="col-md-8 no-padding-right">
                                    <select id="dropdownSellItem" class="form-control" name="dropdownSellItem">
                                        <option selected="selected" value="">@ItemMaster.ALL</option>
                                        <option value="Y">@ItemMaster.Yes</option>
                                        <option value="N">@ItemMaster.No</option>
                                    </select>
                                </div>
                            </div>
                            @{
                                foreach (UDF_ARGNS DictRow in Model.Item2)
                                {
                                    if (DictRow.ListUFD1.Count > 0)
                                    {
                                        <div class="form-group">
                                            <select class="form-control" id="SearchItemUDF_@DictRow.UDFName" name="@DictRow.UDFName">
                                                <option value="">Select @DictRow.UDFDesc</option>
                                                @{
                                                    foreach (UFD1_SAP item in DictRow.ListUFD1)
                                                    {
                                                        <option value="@item.FldValue">@item.Descr</option>
                                                    }
                                                }
                                            </select>
                                        </div>
                                                    }
                                                    else
                                                    {

                                            <div class="form-group">
                                                @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "SearchItemUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                            </div>
                                            }
                                            }
                                            }
                                            <div class="clear_simple"></div>

                                        </div>
                    </div>

                    <div class="panel-footer">
                        <button type="button" id="btSearch" class="btn btn-success btn-ls pull-left" data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div id="BodyItemMaster" class="col-md-9">
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">@ItemMaster.IM</h3>
            </div>

            <div class="panel-body">
                <div class="table-responsive responsive table_cart">
                    <table id="assets-data-table" class="table table-striped table-hover display" style="width:100%;"></table>
                    <script type="text/javascript">
                            var assetListVM;
                            $(function () {
                                assetListVM = {
                                    dt: null,
                                    init: function () {
                                        dt = $('#assets-data-table').DataTable({
                                             "language": {
                                                "lengthMenu": "@Shared.DTlengthMenu",
                                                "zeroRecords": "@Shared.DTzeroRecords",
                                                "info": "@Shared.DTinfo",
                                                "infoEmpty": "@Shared.DTinfoEmpty",
                                                "infoFiltered": "@Shared.DTinfoFiltered",
                                                "paginate": {
                                                    "previous": "@Shared.DTprevious",
                                                    "next": "@Shared.DTnext",
                                                    "first": "@Shared.DTfirst",
                                                    "last": "@Shared.DTlast"
                                                }
                                            },
                                            "autoWidth": true,
                                            "serverSide": true,
                                            "processing": true,
                                            "data": null,
                                            "dom": '<"top"lp>rt<"bottom"ip>',
                                            "searching": false,
                                            "scrollX": true, 
                                            "dom": 'Blfrtip',
                                            "buttons": ['excel', 'pdf', 'print'],
                                            "ajax": {
                                                "url": "/MasterData/MasterData/ListItemMaster",
                                                "type": "POST",
                                                "data": function (data) {
                                                    var mListSearchUDF = $("input[id^=SearchItemUDF_]");
                                                    var mListSearchUDFSelect = $("select[id^=SearchItemUDF_]");
                                                    var mMappedUDFList = [];
                                                    for (i = 0; i < mListSearchUDF.length; i++) {
                                                        mMappedUDFList.push({
                                                            UDFName: mListSearchUDF[i].id.substring(14),
                                                            Value: $("#" + mListSearchUDF[i].id).val(),
                                                        });
                                                    }
                                                    for (i = 0; i < mListSearchUDFSelect.length; i++) {
                                                        mMappedUDFList.push({
                                                            UDFName: mListSearchUDFSelect[i].id.substring(14),
                                                            Value: $("#" + mListSearchUDFSelect[i].id).val(),
                                                        });
                                                    }
                                                    data.pItemCode = $("#UDF_Code").val();
                                                    data.pItemName = $("#UDF_Name").val();
                                                    data.pPrchseItem = $("#dropdownPurchaseItem").val();
                                                    data.pSellItem = $("#dropdownSellItem").val();
                                                    data.pInventoryItem = $("#dropdownInvItem").val();
                                                    data.pMappedUdf = mMappedUDFList;
                                                }
                                            },
                                            "columns": [
                                                { "title": "@ItemMaster.IC", "data": "ItemCode", "name": "ItemCode" },
                                                { "title": "@ItemMaster.ID", "data": "ItemName", "name": "ItemName" }
                                                @if (Model.Item2.Count > 0)
                                                {
                                                    foreach (var DictRow in Model.Item2)
                                                    {
                                                        @:, { "title": "@DictRow.UDFDesc", "data": null, "name": "@DictRow.UDFName", "render": function (data, type, full, meta) { var mUDFObj = data.MappedUdf.filter(function (mUDF) { return mUDF.UDFName == "@DictRow.UDFName"; }); if (mUDFObj[0].Value != null) { if (mUDFObj[0].ListUFD1.length > 0) { var mUDF1Obj = mUDFObj[0].ListUFD1.filter(function (mUDF1) { return mUDF1.FldValue == mUDFObj[0].Value; }); return mUDF1Obj[0].Descr; } else { return mUDFObj[0].Value; } } else { return mUDFObj[0].Value; } } }
                                                    }
                                                }
                                                ,{
                                                    "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                    "render": function (data, type, full, meta) {
                                                        var mReturnValue = "";
                                                        if(@_View.ToString().ToLower() == true)
                                                        {
                                                            mReturnValue += "<a href=\"/MasterData/MasterData/ActionItemMaster?pActionItemMaster=View&pItemCode="+data.ItemCode+"\" class=\"btn btn-primary btn-xs\" style=\"margin-right:2px !important\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                        }
                                                        return mReturnValue;
                                                    }
                                                }
                                            ],
                                            "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                            language: {
                                                processing: "@DataTables.Processing",
                                                lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
                                                info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
                                                paginate: {
                                                    previous: "@DataTables.Previous",
                                                    next: "@DataTables.Next"
                                                }
                                            }
                                        });
                                    },
                                    refresh: function () {
                                        dt.ajax.reload();
                                    }
                                }
                            });
                    </script>
                </div>
            </div>
        </div>
    </div>

</div>

@Scripts.Render("~/bundles/ItemMaster-Index")

